Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Wms

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.Wms

    public final class Wms

extends Object

A class for various static WMS values and utilities. Please refer to the WMS 1.1.1 Implementation Specification for the description of the WMS client/server protocol currently implemented by this package.

Author:
  Maryanovsky Alexander

Field Summary
`static String` | `VERSION` The WMS version implemented by this package.

Constructor Summary
`Wms()`

Method Summary
`static void` | `checkVersionCompatible(Document document)` Checks that the specified document uses a WMS version compatible with the one implemented by this package.
`static Map` | `createMap(Capabilities capabilities, Capabilities.TileSet tileSet, boolean longitudeWraps)` Creates a `Map` from the specified `Capabilities.TileSet`.
`static Map` | `createMap(Capabilities capabilities, List<Capabilities.TileSet> tileSets, boolean longitudeWraps)` Creates a `Map` from the specified list of `Capabilities.TileSet`s.
`static WmsProjection` | `getProjection(String srs, List<Double> resolutions, boolean longitudeWraps)` Returns a `WmsProjection` for the specified SRS and list of resolutions for each zoom.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final String VERSION

  The WMS version implemented by this package.

  See Also:
    Constant Field Values

Constructor Detail

### Wms

    public Wms()

Method Detail

### checkVersionCompatible

    public static void checkVersionCompatible(Document document)
                                       throws ParseException

  Checks that the specified document uses a WMS version compatible with the one implemented by this package. If not, an appropriate `ParseException` is thrown.

  Throws:
    `ParseException`

### createMap

    public static Map createMap(Capabilities capabilities,
                                List<Capabilities.TileSet> tileSets,
                                boolean longitudeWraps)

  Creates a `Map` from the specified list of `Capabilities.TileSet`s. Note that all the tile sets must have the same SRS.

  Parameters:
    `capabilities` - The `Capabilities` of the service.
    `tileSets` - The list of tile sets to show on the map.
    `longitudeWraps` - Whether the projection will cause the map to wrap around the X (longitude) axis.

### createMap

    public static Map createMap(Capabilities capabilities,
                                Capabilities.TileSet tileSet,
                                boolean longitudeWraps)

  Creates a `Map` from the specified `Capabilities.TileSet`.

  Parameters:
    `capabilities` - The `Capabilities` of the service.
    `tileSet` - The tile set to show on the map.
    `longitudeWraps` - Whether the projection will cause the map to wrap around the X (longitude) axis.

### getProjection

    public static WmsProjection getProjection(String srs,
                                              List<Double> resolutions,
                                              boolean longitudeWraps)

  Returns a `WmsProjection` for the specified SRS and list of resolutions for each zoom. Currently supported SRSes are `EPSG:4326` and `OSGEO:41001`. Throws an `IllegalArgumentException` if the specified SRS is unsupported.

  Parameters:
    `srs` - The SRS.
    `resolutions` - The list of resolutions (map units per pixel) for each zoom. The first value corresponds to zoom 0 and so on.
    `longitudeWraps` - Whether the projection will cause the map to wrap around the X (longitude) axis.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD